merge 3.29.3 into 3.30

--HG--
branch : 3.30
11 jobs for branch/3.30 in 35 minutes and 48 seconds (queued for 11 seconds)
Status Job ID Name Coverage
  Lint
passed build_doc #288001

00:01:50

passed lint_doc8 #287999

00:01:06

passed lint_manifest #287998

00:00:53

passed lint_py #287997

00:01:06

passed lint_yaml #288000

00:00:40

 
  Tests
failed py3-from-forge-misc #288007
allowed to fail

00:01:29

failed py3-from-forge-server #288005
allowed to fail

00:01:26

failed py3-from-forge-web #288006
allowed to fail

00:01:42

passed py3_misc #288004

00:16:51

passed py3_server #288002

00:33:55

passed py3_web #288003

00:08:14

 
Name Stage Failure
failed
py3-from-forge-web Tests
  Running command git clone -q https://github.com/Psycojoker/pytest-capture-deprecatedwarnings /tmp/pip-req-build-dl939ott
ERROR: Could not find a version that satisfies the requirement yapps (unavailable) (from versions: 2.2.0)
ERROR: No matching distribution found for yapps (unavailable)

ERROR: could not install deps [-r/builds/cubicweb/cubicweb/requirements/from-forge.txt, -r/builds/cubicweb/cubicweb/requirements/dev.txt, -r/builds/cubicweb/cubicweb/requirements/test-web.txt]; v = InvocationError('/builds/cubicweb/cubicweb/.tox/py3-from-forge-web/bin/python -m pip install -r/builds/cubicweb/cubicweb/requirements/from-forge.txt -r/builds/cubicweb/cubicweb/requirements/dev.txt -r/builds/cubicweb/cubicweb/requirements/test-web.txt (see /builds/cubicweb/cubicweb/.tox/py3-from-forge-web/log/py3-from-forge-web-1.log)', 1)
___________________________________ summary ____________________________________
ERROR: py3-from-forge-web: could not install deps [-r/builds/cubicweb/cubicweb/requirements/from-forge.txt, -r/builds/cubicweb/cubicweb/requirements/dev.txt, -r/builds/cubicweb/cubicweb/requirements/test-web.txt]; v = InvocationError('/builds/cubicweb/cubicweb/.tox/py3-from-forge-web/bin/python -m pip install -r/builds/cubicweb/cubicweb/requirements/from-forge.txt -r/builds/cubicweb/cubicweb/requirements/dev.txt -r/builds/cubicweb/cubicweb/requirements/test-web.txt (see /builds/cubicweb/cubicweb/.tox/py3-from-forge-web/log/py3-from-forge-web-1.log)', 1)
Cleaning up file based variables
ERROR: Job failed: command terminated with exit code 1
failed
py3-from-forge-server Tests
  Running command git clone -q https://github.com/Psycojoker/pytest-capture-deprecatedwarnings /tmp/pip-req-build-tna7ws1y
ERROR: Could not find a version that satisfies the requirement yapps (unavailable) (from versions: 2.2.0)
ERROR: No matching distribution found for yapps (unavailable)

ERROR: could not install deps [-r/builds/cubicweb/cubicweb/requirements/from-forge.txt, -r/builds/cubicweb/cubicweb/requirements/dev.txt, -r/builds/cubicweb/cubicweb/requirements/test-server.txt]; v = InvocationError('/builds/cubicweb/cubicweb/.tox/py3-from-forge-server/bin/python -m pip install -r/builds/cubicweb/cubicweb/requirements/from-forge.txt -r/builds/cubicweb/cubicweb/requirements/dev.txt -r/builds/cubicweb/cubicweb/requirements/test-server.txt (see /builds/cubicweb/cubicweb/.tox/py3-from-forge-server/log/py3-from-forge-server-1.log)', 1)
___________________________________ summary ____________________________________
ERROR: py3-from-forge-server: could not install deps [-r/builds/cubicweb/cubicweb/requirements/from-forge.txt, -r/builds/cubicweb/cubicweb/requirements/dev.txt, -r/builds/cubicweb/cubicweb/requirements/test-server.txt]; v = InvocationError('/builds/cubicweb/cubicweb/.tox/py3-from-forge-server/bin/python -m pip install -r/builds/cubicweb/cubicweb/requirements/from-forge.txt -r/builds/cubicweb/cubicweb/requirements/dev.txt -r/builds/cubicweb/cubicweb/requirements/test-server.txt (see /builds/cubicweb/cubicweb/.tox/py3-from-forge-server/log/py3-from-forge-server-1.log)', 1)
Cleaning up file based variables
ERROR: Job failed: command terminated with exit code 1
failed
py3-from-forge-misc Tests
  Running command git clone -q https://github.com/Psycojoker/pytest-capture-deprecatedwarnings /tmp/pip-req-build-59ldxs9f
ERROR: Could not find a version that satisfies the requirement yapps (unavailable) (from versions: 2.2.0)
ERROR: No matching distribution found for yapps (unavailable)

ERROR: could not install deps [-r/builds/cubicweb/cubicweb/requirements/from-forge.txt, -r/builds/cubicweb/cubicweb/requirements/dev.txt, -r/builds/cubicweb/cubicweb/requirements/test-misc.txt]; v = InvocationError('/builds/cubicweb/cubicweb/.tox/py3-from-forge-misc/bin/python -m pip install -r/builds/cubicweb/cubicweb/requirements/from-forge.txt -r/builds/cubicweb/cubicweb/requirements/dev.txt -r/builds/cubicweb/cubicweb/requirements/test-misc.txt (see /builds/cubicweb/cubicweb/.tox/py3-from-forge-misc/log/py3-from-forge-misc-1.log)', 1)
___________________________________ summary ____________________________________
ERROR: py3-from-forge-misc: could not install deps [-r/builds/cubicweb/cubicweb/requirements/from-forge.txt, -r/builds/cubicweb/cubicweb/requirements/dev.txt, -r/builds/cubicweb/cubicweb/requirements/test-misc.txt]; v = InvocationError('/builds/cubicweb/cubicweb/.tox/py3-from-forge-misc/bin/python -m pip install -r/builds/cubicweb/cubicweb/requirements/from-forge.txt -r/builds/cubicweb/cubicweb/requirements/dev.txt -r/builds/cubicweb/cubicweb/requirements/test-misc.txt (see /builds/cubicweb/cubicweb/.tox/py3-from-forge-misc/log/py3-from-forge-misc-1.log)', 1)
Cleaning up file based variables
ERROR: Job failed: command terminated with exit code 1